Subject: Re: bug#22300: 25.1.50; Dired -- renaming folders/files to CamelCase/UPPERCASE/lowercase.

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 04 Jan 2016 12:51:01 -0800

I agree that `rename-file` could use a fix.

Once `rename-file` is ironed out on the C-source code level, I believe the tail end of `dired-do-create-files` will also need to be fixed because the `name-constructor`

(function (lambda (from) (expand-file-name (file-name-nondirectory from) target)))

returns the wrong path when used by dired-create-files.  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22300#29

So, I believe it will be both areas of Emacs that need some TLC.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Mon, 04 Jan 2016 22:24:43 +0200,
Eli Zaretskii wrote:
> 
>  * * *
> 
> I have 2 problems with this change:
> 
>   . it's IMO wrong to fix this on Dired level, it should be fixed on
>     the rename-file level
> 
>   . when the filesystem is case-sensitive, the code should work like
>     it does today, because then 'foo' and 'FOO' and 'Foo' are all
>     different files
> 
> Thanks.